Subject: [CFRG] [Errata Rejected] RFC8032 (5757)

From: RFC Errata System <[email-masked]>
Date: Mon, 25 Oct 2021 22:43:13 -0700 (PDT)

The following errata report has been rejected for RFC8032,
"Edwards-Curve Digital Signature Algorithm (EdDSA)".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid5757

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Franck Rondepierre <[email-masked]>
Date Reported: 2019-06-21
Rejected by: Stanislav Smyshlyaev (IRSG)

Section: .1

Original Text
-------------
An element (x,y) of E is encoded as a b-bit string called ENC(x,y),
 which is the (b-1)-bit encoding of y concatenated with one bit that
 is 1 if x is negative and 0 if x is not negative.

Corrected Text
--------------
An element (x,y) of E is encoded as a b-bit string called ENC(x,y),
 which is the (b-1)-bit encoding of y concatenated 
with the least significant bit of x.

Notes
-----
Section 3.1 is not coherent with encodings described for Ed25519 (5.1.2) and Ed448 (5.2.2)
 --VERIFIER NOTES-- 
The original text was correct (verified by Nick Sullivan).

--------------------------------------
RFC8032 (draft-irtf-cfrg-eddsa-08)
--------------------------------------
Title               : Edwards-Curve Digital Signature Algorithm (EdDSA)
Publication Date    : January 2017
Author(s)           : S. Josefsson, I. Liusvaara
Category            : INFORMATIONAL
Source              : Crypto Forum Research Group
Area                : N/A
Stream              : IRTF
Verifying Party     : IRSG